<?php

require 'includes/application_top.php';
require DIR_WS_CLASSES . 'payment.php';
require DIR_WS_CLASSES . 'order.php';
require __DIR__ . '/includes/languages/english/modules/payment/ecommpay.php';
require __DIR__ . '/includes/modules/payment/ecommpay.php';
require __DIR__ . '/ecommpay_functions.php';

$module = new ecommpay();
if (!$module->isEnabled()) {
    http_response_code(400);
    die('Module not active');
}

$order_id = isset($_GET['order_id']) ? (int)$_GET['order_id'] : 0;

$order = ecommpay_get_order($order_id);
if (!$order) {
    http_response_code(400);
    die('Order #' . $order_id . ' not found');
}

$order_status_id = $module->getOrderStatusId();
$is_test_mode = $module->isTestMode();

$is_test = isset($_GET['test']) && $_GET['test'] === '1' && $is_test_mode;
if ($is_test) {
    ecommpay_confirm_order($order, $order_id, $order_status_id);
}

global $cart;
$cart->reset(true);

tep_redirect(tep_href_link(FILENAME_ACCOUNT_HISTORY));